Subject: Re: linux-next: manual merge of the drm-misc tree with Linus' tree

From: Michael Walle <[email-masked]>
Date: Tue, 06 Feb 2024 12:28:58 +0100

Hi Stephen and all,

>> Today's linux-next merge of the drm-misc tree got a conflict in:
>> 
>>   drivers/gpu/drm/bridge/samsung-dsim.c
>> 
>> between commit:
>> 
>>   ff3d5d04db07 ("drm: bridge: samsung-dsim: Don't use 
>> FORCE_STOP_STATE")
>> 
>> from Linus' tree and commit:
>> 
>>   b2fe2292624a ("drm: bridge: samsung-dsim: enter display mode in the 
>> enable() callback")
>> 
>> from the drm-misc tree.
>> 
>> I fixed it up (see below, please check) and can carry the fix as
>> necessary. This is now fixed as far as linux-next is concerned, but 
>> any
>> non trivial conflicts should be mentioned to your upstream maintainer
>> when your tree is submitted for merging.  You may also want to 
>> consider
>> cooperating with the maintainer of the conflicting tree to minimise 
>> any
>> particularly complex conflicts.
> 
> I changed my mind and just used the latter version of this file.

Bug wise, this is the wrong solution. Because it will reintroduce the
faulty FORCE_STOP_STATE. Also keep in mind, my fixes commit is/was 
already
backported to the stable series.

See also the discussion at [1]. Unfortunately, there was no conculusion 
yet.
I think [2] is the proper resolution, at least for the commit 
b2fe2292624a
("drm: bridge: samsung-dsim: enter display mode in the enable() 
callback")
I'm not sure in what state the drm-misc tree is.

-michael

[1] 
https://lore.kernel.org/dri-devel/CAPM=9tytMB9frxNeD08hu1qsusY=[email-masked]/
[2] 
https://lore.kernel.org/dri-devel/[email-masked]/